<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.sckw.car.mapper.KwOrderCarWaybillOrderDispatchAssignMapper">

    <insert id="insertBatch" parameterType="com.sckw.car.entity.KwOrderCarWaybillOrderDispatch">
        insert into kw_order_car_waybill_order_dispatch_assign
        <trim prefix="(" suffix=")" suffixOverrides=",">
            id,
            waybill_id,
            inventory_detail_id,
            inventory_id,
            inventory_order_no,
            create_by
        </trim>
        values
        <foreach collection="list" item="item" separator=",">
            <trim prefix="(" suffix=")" suffixOverrides=",">
                ${item.id},
                #{item.waybillId,jdbcType=BIGINT},
                #{item.inventoryDetailId,jdbcType=VARCHAR},
                #{item.inventoryId,jdbcType=VARCHAR},
                #{item.inventoryOrderNo,jdbcType=VARCHAR},
                #{item.createBy,jdbcType=VARCHAR}
            </trim>
        </foreach>
    </insert>
</mapper>